﻿using System.Collections.Generic;
using System.ComponentModel;

namespace PropertyViewerDemonstration
{
    /// <summary>
    /// Simple class for demonstration.
    /// </summary>
    public class Animal
    {
        public string Species { get; set; }

        [DisplayName("Relative Mass")]
        public double RelativeMass { get; set; }

        public int Legs { get; set; }

        public bool Furry { get; set; }

        [DisplayName("Eats Bugs")]
        public bool EatsBugs { get; set; }
    }

    /// <summary>
    /// Simple data source to expose class instances.
    /// </summary>
    public class AnimalCollection : List<Animal>
    {
        public AnimalCollection()
        {
            Add(new Animal { Species = "Ant", RelativeMass = 0.001, Legs = 6, Furry = false, EatsBugs = true });
            Add(new Animal { Species = "Bird", RelativeMass = 0.01, Legs = 2, Furry = false, EatsBugs = true });
            Add(new Animal { Species = "Dog", RelativeMass = 0.1, Legs = 4, Furry = true, EatsBugs = false });
            Add(new Animal { Species = "Human", RelativeMass = 1.0, Legs = 2, Furry = false, EatsBugs = false });
            Add(new Animal { Species = "Snake", RelativeMass = 0.1, Legs = 0, Furry = false, EatsBugs = false });
            Add(new Animal { Species = "Spider", RelativeMass = 0.001, Legs = 8, Furry = false, EatsBugs = true });
        }
    }
}
